// ============================================================================
//
// Unit:    ibeOSConst
// Inhalt:  Formular
// Aufgabe: Konstanten fr verschiedene Betriebssysteme
//
//   (c) by Klaus Etscheid since 2016
// ============================================================================
unit ibeOSConst;

{ Betriebssystemabhngigs Konstanten }

interface

Const
	WinPathDelim = '\';
	UnixPathDelim = '/';

{$IFDEF MSWINDOWS}

Const
	PathDelim = WinPathDelim;

{$ENDIF >>>>MSWINDOWS}

{$IFDEF LINUX}

Const
	PathDelim = UnixPathDelim;

{$ENDIF >>>>LINUX	}

implementation

end.
