unit FinvKatVATList;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, VirtualTrees, StdCtrls, ExtCtrls, ToolWin, ComCtrls,  ActnList, 
  Menus,
  ibeFCommonDOList;

type
  TfrmInvVATList = class(TibeFrmCommonDOList)
    Label3: TLabel;
    edtFilterDueDate: TEdit;
    edtFilterTaxType: TEdit;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
  private
  protected
    procedure InternalActionInitGridMain(); override;
    procedure FilterApply(); override;
  public
  end;

implementation

uses
  invDOKVAT;
  
{$R *.dfm}

procedure TfrmInvVATList.FormCreate(Sender: TObject);
begin
  inherited;
  DOMainClass := TinvDOKVAT;
  
  edtFilterDueDate.Text := DateToStr(Date());
  edtFilterTaxType.Text := '';
end;

procedure TfrmInvVATList.FilterApply(); 
var
  LDate: TDateTime;
begin
  inherited FilterApply();

  if edtFilterDueDate.Text <> '' then
  begin
    LDate := StrToDate(edtFilterDueDate.Text);

    TinvDOKVAT(DOMain).FilterAddDueDate(LDate);
  end;

  if edtFilterTaxType.Text <> '' then
  begin
    TinvDOKVAT(DOMain).FilterAdd('VatType_Token', edtFilterTaxType.Text);
  end;
end;

procedure TfrmInvVATList.InternalActionInitGridMain();
begin
  inherited InternalActionInitGridMain();

  AddDataColumn('Vat_ID', 100);
  AddDataColumn('VatType_Token', 150);
  AddDataColumn('Vat_Valid_Beg', 150);
  AddDataColumn('Vat_Valid_End', 150);
  AddDataColumn('Vat_Value_', 100);
end;

end.
