﻿unit FLibFormMain;

interface

uses Windows, Classes, Graphics, Forms, Controls, Menus,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls, ImgList, StdActns,
  ActnList, ToolWin,
  FLibFormMainContainer;

type
  TfrmLibFormMain = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    FFrmContainer: TfrmLibFormMainContainer;
  public
  end;

var
  frmLibFormMain: TfrmLibFormMain;

implementation

uses 
  FobjObjectList, FobjInventoryList, FinvKatVATList, FinvKatVATGroupByVATTypeList, 
  FcalStammDayList;

{$R *.dfm}

procedure TfrmLibFormMain.FormCreate(Sender: TObject);
begin
  FFrmContainer := TfrmLibFormMainContainer.Create(Self);
  FFrmContainer.DisplayInContainer(Self);
  FFrmContainer.Show();
  FFrmContainer.AddForm(TfrmCalDayList, False);
  FFrmContainer.AddForm(TfrmInvVATList, False);
  FFrmContainer.AddForm(TfrmInvVATGroupByVATTypeList, False);
  FFrmContainer.AddForm(TfrmObjectList, True);
  FFrmContainer.AddForm(TfrmInventoryList, False);
end;

end.
