// ============================================================================
//
// Unit:    Not available
// Inhalt:  Formular
// Aufgabe: DUnit Test fr den ibeLib2 DAL
//
//   (c) by Klaus Etscheid since 2015
// ============================================================================
program ibeDataAccessObjectTests;
{

  Delphi DUnit-Testprojekt
  -------------------------
  Dieses Projekt enthlt das DUnit-Test-Framework und die GUI/Konsolen-Test-Runner.
  Zum Verwenden des Konsolen-Test-Runners fgen Sie den konditinalen Definitionen  
  in den Projektoptionen "CONSOLE_TESTRUNNER" hinzu. Ansonsten wird standardmig 
  der GUI-Test-Runner verwendet.

}

{.$define CONSOLE_TESTRUNNER}

{$IFDEF CONSOLE_TESTRUNNER}
{.$APPTYPE CONSOLE}
{$ENDIF}

uses
  FastMM4,
  Forms,
  TestFramework,
  GUITestRunner,
  TextTestRunner,
  TestDataAccessObject in 'Module\ibeDataAccessObject\TestDataAccessObject.pas',
  TestDAL_Firebird_IB in 'Module\ibeDataAccessObject\TestDAL_Firebird_IB.pas',
  TestDAL_ADO_MSSQL in 'Module\ibeDataAccessObject\TestDAL_ADO_MSSQL.pas',
  ibeDALConnectionADO in '..\$Common\$Lib\DAL\ibeDALConnectionADO.pas',
  ibeDALConnectionADO_MSSQL in '..\$Common\$Lib\DAL\ibeDALConnectionADO_MSSQL.pas',
  ibeDALConnectionFB in '..\$Common\$Lib\DAL\ibeDALConnectionFB.pas',
  ibeDALConnectionFB_IB in '..\$Common\$Lib\DAL\ibeDALConnectionFB_IB.pas',
  ibeDALQueryFB in '..\$Common\$Lib\DAL\ibeDALQueryFB.pas',
  ibeDALQueryFB_IB in '..\$Common\$Lib\DAL\ibeDALQueryFB_IB.pas',
  ibeLogfile in '..\$Common\$Lib\ibeLogfile.pas';

{$R *.RES}

begin
  Application.Initialize;
  if IsConsole then
  begin
    with TextTestRunner.RunRegisteredTests do
    begin
      Free;
      Writeln('Ende mit Enter');
      Readln;
    end
  end else 
  begin
    GUITestRunner.RunRegisteredTests;
  end;
end.

