// ============================================================================
//
// Unit:    Not available
// Inhalt:  Formular
// Aufgabe: DUnit Test fr das ibeLib2 DataObjecct
//
//   (c) by Klaus Etscheid since 2015
// ============================================================================
program ibeDataObjectTests;
{

  Delphi DUnit-Testprojekt
  -------------------------
  Dieses Projekt enthlt das DUnit-Test-Framework und die GUI/Konsolen-Test-Runner.
  Zum Verwenden des Konsolen-Test-Runners fgen Sie den konditinalen Definitionen  
  in den Projektoptionen "CONSOLE_TESTRUNNER" hinzu. Ansonsten wird standardmig 
  der GUI-Test-Runner verwendet.

}

{.$IFDEF CONSOLE_TESTRUNNER}
{.$APPTYPE CONSOLE}
{.$ENDIF}

uses
  FastMM4 in 'N:\Delphi2\Komponenten\FastMM\FastMM4.pas',
  Forms,
  TestFramework,
  GUITestRunner,
  TextTestRunner,
  ibeCType in '..\$Common\$Lib\ibeCType.pas',
  ibeException in '..\$Common\$Lib\ibeException.pas',
  ibeFuncCommon in '..\$Common\$Lib\ibeFuncCommon.pas',
  ibeFuncDateUtil in '..\$Common\$Lib\ibeFuncDateUtil.pas',
  ibeMemTable in '..\$Common\$Lib\ibeMemTable.pas',
  ibeString in '..\$Common\$Lib\ibeString.pas',
  ibeTypes in '..\$Common\$Lib\ibeTypes.pas',
  ibeVariant in '..\$Common\$Lib\ibeVariant.pas',
  ibeXMLDocument in '..\$Common\$Lib\ibeXMLDocument.pas',
  ibeAppServiceProvider in '..\$Common\$Lib\ibeAppServiceProvider.pas',
  ibeAppServiceProviderDB in '..\$Common\$Lib\ibeAppServiceProviderDB.pas',
  ibeDALConnection in '..\$Common\$Lib\DAL\ibeDALConnection.pas',
  ibeDALConnectionADO in '..\$Common\$Lib\DAL\ibeDALConnectionADO.pas',
  ibeDALConnectionADO_MSSQL in '..\$Common\$Lib\DAL\ibeDALConnectionADO_MSSQL.pas',
  ibeDALConnectionFB in '..\$Common\$Lib\DAL\ibeDALConnectionFB.pas',
  ibeDALConnectionFB_IB in '..\$Common\$Lib\DAL\ibeDALConnectionFB_IB.pas',
  ibeDALConnectionManager in '..\$Common\$Lib\DAL\ibeDALConnectionManager.pas',
  ibeDALConnectionManagerADO in '..\$Common\$Lib\DAL\ibeDALConnectionManagerADO.pas',
  ibeDALQuery in '..\$Common\$Lib\DAL\ibeDALQuery.pas',
  ibeDALQueryADO in '..\$Common\$Lib\DAL\ibeDALQueryADO.pas',
  ibeDALQueryFB in '..\$Common\$Lib\DAL\ibeDALQueryFB.pas',
  ibeDALQueryFB_IB in '..\$Common\$Lib\DAL\ibeDALQueryFB_IB.pas',
  ibeDataObjectManager in '..\$Common\$Lib\DataObject\ibeDataObjectManager.pas',
  ibeDataObjectTypes in '..\$Common\$Lib\DataObject\ibeDataObjectTypes.pas',
  ibeDataObjectDefinition in '..\$Common\$Lib\DataObject\ibeDataObjectDefinition.pas',
  ibeDataObject in '..\$Common\$Lib\DataObject\ibeDataObject.pas',
  ibeDataObjectFields in '..\$Common\$Lib\DataObject\ibeDataObjectFields.pas',
  ibeDMMain in '..\$Common\$Lib\Form\ibeDMMain.pas' {modMain: TDataModule},
  ibeDMDBMain in '..\$Common\$Lib\Form\ibeDMDBMain.pas' {modDBMain: TDataModule},
  calDOSDay in '..\$Common\Calendar\calDOSDay.pas',
  objDOBase in '..\$Common\Objekt\objDOBase.pas',
  objDOInventory in '..\$Common\Objekt\objDOInventory.pas',
  invDOKVAT in '..\$Common\Invoice\invDOKVAT.pas',
  modMainCommon in '..\$Common\Common\modMainCommon.pas' {dmMain: TDataModule},
  DMTestMain in 'Module\ibeDataObject\DMTestMain.pas' {modTestMain: TDataModule},
  TestDataObjectDefinition in 'Module\ibeDataObject\TestDataObjectDefinition.pas',
  TestDataObjectManager in 'Module\ibeDataObject\TestDataObjectManager.pas',
  TestDataObjectCreateDatabase in 'Module\ibeDataObject\TestDataObjectCreateDatabase.pas',
  TestDataObject in 'Module\ibeDataObject\TestDataObject.pas',
  TestDataObjectInsertEdit in 'Module\ibeDataObject\TestDataObjectInsertEdit.pas',
  TestDataObjectCascading in 'Module\ibeDataObject\TestDataObjectCascading.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'DUnit Test fr das DataObject';
  Application.CreateForm(TmodTestMain, modTestMain);
  modTestMain.ActionStartup();
  if IsConsole then
    with TextTestRunner.RunRegisteredTests do
      Free
  else
    GUITestRunner.RunRegisteredTests;
end.

