insert into cal_L_Weekday values(1, 'MO', 'Montag');
insert into cal_L_Weekday values(2, 'DI', 'Dienstag');
insert into cal_L_Weekday values(3, 'MI', 'Mittwoch');
insert into cal_L_Weekday values(4, 'DO', 'Donnerstag');
insert into cal_L_Weekday values(5, 'FR', 'Freitag');
insert into cal_L_Weekday values(6, 'SA', 'Samstag');
insert into cal_L_Weekday values(7, 'SO', 'Sonntag');

insert into cal_L_Month values ( 1, 'JAN', 'Januar');
insert into cal_L_Month values ( 2, 'FEB', 'Februar');
insert into cal_L_Month values ( 3, 'MAR', 'März');
insert into cal_L_Month values ( 4, 'APR', 'April');
insert into cal_L_Month values ( 5, 'MAI', 'Mai');
insert into cal_L_Month values ( 6, 'JUN', 'Juni');
insert into cal_L_Month values ( 7, 'JUL', 'Juli');
insert into cal_L_Month values ( 8, 'AUG', 'August');
insert into cal_L_Month values ( 9, 'SEP', 'September');
insert into cal_L_Month values (10, 'OKT', 'Oktober');
insert into cal_L_Month values (11, 'NOV', 'November');
insert into cal_L_Month values (12, 'DEZ', 'Dezember');

insert into cal_L_Time_Type values ('NA', 'Nacht', 'Nacht',       0);
insert into cal_L_Time_Type values ('FM', 'FMorg', 'Früh Morgen', 1);
insert into cal_L_Time_Type values ('MO', 'Morg',  'Morgen',      1);
insert into cal_L_Time_Type values ('VM', 'VMit',  'Vormittag',   1);
insert into cal_L_Time_Type values ('MI', 'Mitt',  'Mittag',      1);
insert into cal_L_Time_Type values ('NM', 'NMitt', 'Nachmittag',  1);
insert into cal_L_Time_Type values ('FA', 'FAbnd', 'Feierabend',  0);
insert into cal_L_Time_Type values ('AB', 'Abend', 'Abend',       0);
insert into cal_L_Time_Type values ('SA', 'SAbnd', 'Spaet Abend', 0);

insert into inv_K_VAT_Type(ID, Token, Description) values('O0', 'ohne', null);
insert into inv_K_VAT_Type(ID, Token, Description) values('R1', 'reduziert', null);
insert into inv_K_VAT_Type(ID, Token, Description) values('V0', 'voll', null);

insert into inv_K_VAT values ('O0000v0', 'O0', 19000101, null, 0.0);

insert into inv_K_VAT values ('R0000v0', 'R1', 19000101, 19671231, 0.0);
insert into inv_K_VAT values ('R0050v0', 'R1', 19680101, 19680630, 5.0);
insert into inv_K_VAT values ('R0055v0', 'R1', 19680701, 19771231, 5.5);
insert into inv_K_VAT values ('R0060v0', 'R1', 19780101, 19790630, 6.0);
insert into inv_K_VAT values ('R0065v0', 'R1', 19790701, 19830630, 6.5);
insert into inv_K_VAT values ('R0070v0', 'R1', 19830701, null,     7.0);

insert into inv_K_VAT values ('V0000v0', 'V0', 19000101, 19671231,  0.0);
insert into inv_K_VAT values ('V0100v0', 'V0', 19680101, 19680630, 10.0);
insert into inv_K_VAT values ('V0110v0', 'V0', 19680701, 19771231, 11.0);
insert into inv_K_VAT values ('V0120v0', 'V0', 19780101, 19790630, 12.0);
insert into inv_K_VAT values ('V0130v0', 'V0', 19790701, 19830630, 13.0);
insert into inv_K_VAT values ('V0140v0', 'V0', 19830701, 19921231, 14.0);
insert into inv_K_VAT values ('V0150v0', 'V0', 19930101, 19980331, 15.0);
insert into inv_K_VAT values ('V0160v0', 'V0', 19980401, 20061231, 16.0);
insert into inv_K_VAT values ('V0190v0', 'V0', 20070101, null,     19.0);

insert into obj_L_Type values ('ART', 'Artikel');
insert into obj_L_Type values ('INV', 'Inventar');

insert into obj_S_Base (ID_Type, Number, Name, ID_VATType) values ('ART', '100', 'Schraube', 'V0');
insert into obj_S_Base (ID_Type, Number, Name, ID_VATType) values ('ART', '100', 'Apfel', 'R1');
insert into obj_S_Base (ID_Type, Number, Name, ID_VATType) values ('ART', '100', 'Parkgebuehr', 'O0');
insert into obj_S_Base (ID_Type, Number, Name, ID_VATType) values ('ART', '100', 'Stanzwerkzeug', null);

insert into obj_S_Base (ID_Type, Number, Name) values ('INV', '00001', 'Drehmaschine');
insert into obj_S_Inventory (ID, NUMBER_SERIAL) select max(id), '4711' from obj_S_Base;

insert into obj_S_Base (ID_Type, Number, Name) values ('INV', '00002', 'Schreibtisch');
insert into obj_S_Inventory (ID, NUMBER_SERIAL) select max(id), '4712' from obj_S_Base;
