-- 29.07.2016 16:27:08.234 Statement #1, start at Row #1
create table testBasics (
  ID varchar(5) not null,
  Name varchar(50) not null,
  constraint testBasics_pk primary key (ID)
);
-- 29.07.2016 16:27:08.265 0,02 sec elapsed

-- 29.07.2016 16:27:08.265 Statement #2, start at Row #7
create generator testSequence;
-- 29.07.2016 16:27:08.265 0,00 sec elapsed

-- 29.07.2016 16:27:08.265 Statement #3, start at Row #8
set generator testSequence to 0;
-- 29.07.2016 16:27:08.265 0,00 sec elapsed

-- 29.07.2016 16:27:08.265 Statement #4, start at Row #10
create table testIdentity (
  ID int not null,
  Name varchar(50) not null,
  constraint testIdentity_pk primary key (ID)
);
-- 29.07.2016 16:27:08.265 0,01 sec elapsed

-- 29.07.2016 16:27:08.265 Statement #5, start at Row #16
create generator testIdentity_PK_Sequence;
-- 29.07.2016 16:27:08.265 0,00 sec elapsed

--$Include=Simple DDL Script (FB) testIdentityTriggerI.sql;
-- 29.07.2016 16:27:08.281 Statement #6, start at Row #18
SET TERM ^ ;
CREATE TRIGGER testIdentity_Trig_BI FOR testIdentity ACTIVE
BEFORE INSERT POSITION 0
AS
DECLARE VARIABLE tmp int;
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(testIdentity_PK_Sequence, 1);
  ELSE
  BEGIN
    tmp = GEN_ID(testIdentity_PK_Sequence, 0);
    if (tmp < new.ID) then
      tmp = GEN_ID(testIdentity_PK_Sequence, new.ID-tmp);
  END
END^
SET TERM ; ^

-- 29.07.2016 16:27:08.281 0,01 sec elapsed

