use master;
go

if db_id ('TEST_DAL') is not null
  drop database TEST_DAL;
go

create database TEST_DAL;
go

use TEST_DAL;
go

create table testBasics (
  ID varchar(5) not null,
  Name varchar(50) not null,
  constraint testBasics_pk primary key (ID)
);

create table testIdentity (
  ID int identity not null,
  Name varchar(50) not null,
  constraint testIdentity_pk primary key (ID)
);

create sequence testSequence as int start with 1 increment by 1
go

use master;