program ibeLibFormDev;

uses
  FastMM4 in 'N:\Delphi2\Komponenten\FastMM\FastMM4.pas',
  Forms,
  ibeCType in '..\$Common\$Lib\ibeCType.pas',
  ibeException in '..\$Common\$Lib\ibeException.pas',
  ibeFuncCommon in '..\$Common\$Lib\ibeFuncCommon.pas',
  ibeFuncDateUtil in '..\$Common\$Lib\ibeFuncDateUtil.pas',
  ibeMemTable_JvMemoryData in '..\$Common\$Lib\ibeMemTable_JvMemoryData.pas',
  ibeString in '..\$Common\$Lib\ibeString.pas',
  ibeTypes in '..\$Common\$Lib\ibeTypes.pas',
  ibeVariant in '..\$Common\$Lib\ibeVariant.pas',
  ibeXMLDocument in '..\$Common\$Lib\ibeXMLDocument.pas',
  ibeAppServiceProvider in '..\$Common\$Lib\ibeAppServiceProvider.pas',
  ibeAppServiceProviderDB in '..\$Common\$Lib\ibeAppServiceProviderDB.pas',
  ibeDALConnection in '..\$Common\$Lib\DAL\ibeDALConnection.pas',
  ibeDALConnectionADO in '..\$Common\$Lib\DAL\ibeDALConnectionADO.pas',
  ibeDALConnectionADO_MSSQL in '..\$Common\$Lib\DAL\ibeDALConnectionADO_MSSQL.pas',
  ibeDALConnectionFB in '..\$Common\$Lib\DAL\ibeDALConnectionFB.pas',
  ibeDALConnectionFB_IB in '..\$Common\$Lib\DAL\ibeDALConnectionFB_IB.pas',
  ibeDALConnectionManager in '..\$Common\$Lib\DAL\ibeDALConnectionManager.pas',
  ibeDALConnectionManagerADO in '..\$Common\$Lib\DAL\ibeDALConnectionManagerADO.pas',
  ibeDALQuery in '..\$Common\$Lib\DAL\ibeDALQuery.pas',
  ibeDALQueryADO in '..\$Common\$Lib\DAL\ibeDALQueryADO.pas',
  ibeDALQueryFB in '..\$Common\$Lib\DAL\ibeDALQueryFB.pas',
  ibeDALQueryFB_IB in '..\$Common\$Lib\DAL\ibeDALQueryFB_IB.pas',
  ibeDataObjectManager in '..\$Common\$Lib\DataObject\ibeDataObjectManager.pas',
  ibeDataObjectTypes in '..\$Common\$Lib\DataObject\ibeDataObjectTypes.pas',
  ibeDataObjectDefinition in '..\$Common\$Lib\DataObject\ibeDataObjectDefinition.pas',
  ibeDataObjectFields in '..\$Common\$Lib\DataObject\ibeDataObjectFields.pas',
  ibeDataObject in '..\$Common\$Lib\DataObject\ibeDataObject.pas',
  ibeDMMain in '..\$Common\$Lib\Form\ibeDMMain.pas' {modMain: TDataModule},
  ibeDMDBMain in '..\$Common\$Lib\Form\ibeDMDBMain.pas' {modDBMain: TDataModule},
  ibeFCommon in '..\$Common\$Lib\Form\ibeFCommon.pas' {frmCommon},
  ibeFCommonList in '..\$Common\$Lib\Form\ibeFCommonList.pas' {ibeFrmCommonList},
  ibeFCommonDialog in '..\$Common\$Lib\Form\ibeFCommonDialog.pas' {frmCommonDialog},
  ibeFCommonContainer in '..\$Common\$Lib\Form\ibeFCommonContainer.pas' {frmCommonContainer},
  ibeFCommonDataList in '..\$Common\$Lib\Form\ibeFCommonDataList.pas' {ibeFrmCommonDataList},
  ibeFCommonDOList in '..\$Common\$Lib\Form\ibeFCommonDOList.pas' {ibeFrmCommonDOList},
  ibeFCommonEditHost in '..\$Common\$Lib\Form\ibeFCommonEditHost.pas' {ibeFrmCommonEditHost},
  ibeFCommonEdit in '..\$Common\$Lib\Form\ibeFCommonEdit.pas' {ibeFrmCommonEdit},
  ibeFCommonDOEdit in '..\$Common\$Lib\Form\ibeFCommonDOEdit.pas' {ibeFrmCommonDOEdit},
  ibeFCommonDODialog in '..\$Common\$Lib\Form\ibeFCommonDODialog.pas' {ibeFrmCommonDODialog},
  modMainCommon in '..\$Common\Common\modMainCommon.pas' {dmMain: TDataModule},
  invDOKVAT in '..\$Common\Invoice\invDOKVAT.pas',
  objDOBase in '..\$Common\Objekt\objDOBase.pas',
  FLibFormMain in 'LibFormDev\FLibFormMain.pas' {frmLibFormMain},
  FLibFormMainContainer in 'LibFormDev\FLibFormMainContainer.pas' {frmLibFormMainContainer},
  FobjObjectList in '..\$Common\Objekt\FobjObjectList.pas' {frmObjectList},
  FinvKatVATList in '..\$Common\Invoice\FinvKatVATList.pas' {frmInvVATList},
  FinvKatVATGroupByVATTypeList in '..\$Common\Invoice\FinvKatVATGroupByVATTypeList.pas' {frmInvVATGroupByVATTypeList},
  ibeFileUtil in '..\$Common\$Lib\ibeFileUtil.pas',
  ibeOSProcedures in '..\$Common\$Lib\ibeOSProcedures.pas',
  ibeOSConst in '..\$Common\$Lib\ibeOSConst.pas',
  ibeMemTable in '..\$Common\$Lib\ibeMemTable.pas',
  FcalStammDayList in '..\$Common\Calendar\FcalStammDayList.pas' {frmCalDayList},
  calDOSDay in '..\$Common\Calendar\calDOSDay.pas',
  FobjInventoryList in '..\$Common\Objekt\FobjInventoryList.pas' {frmInventoryList},
  objDOInventory in '..\$Common\Objekt\objDOInventory.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.CreateForm(TdmMain, dmMain);
  if dmMain.ActionStartup then begin
    RetrieveASP.DOTraceEnabled := True;
    Application.CreateForm(TfrmLibFormMain, frmLibFormMain);
    Application.Run;
  end;
end.
 
