// ============================================================================
//
// Unit:    TestDataObjectDefinition
// Inhalt:  Formular
// Aufgabe: DUnit Test fr Datenobjekt Definitionen
//
//   (c) by Klaus Etscheid since 2015
// ============================================================================
unit TestDataObjectDefinition;
{

  Delphi DUnit Testfall
  ----------------------
  Diese Unit enthlt ein Codegerst einer Testfallklasse, das vom Testfall-Experten
  erzeugt wurde. ndern Sie den erzeugten Code, damit die Methoden aus der 
  getesteten Unit korrekt eingerichtet und aufgerufen werden.

}

interface

uses
  TestFramework, SysUtils, 
  ibeDataObjectDefinition;

type
  // Testmethoden fr Klasse TibeDataObjectDefinition
  
  TestTibeDataObjectDefinition = class(TTestCase)
  strict private
    FibeDataObjectDefinition: TibeDataObjectDefinition;
  public
    procedure SetUp; override;
    procedure TearDown; override;
  published
    procedure TestLoadFromFile;
  end;

implementation

procedure TestTibeDataObjectDefinition.SetUp;
begin
  FibeDataObjectDefinition := TibeDataObjectDefinition.Create;
end;

procedure TestTibeDataObjectDefinition.TearDown;
begin
  FibeDataObjectDefinition.Free;
  FibeDataObjectDefinition := nil;
end;

procedure TestTibeDataObjectDefinition.TestLoadFromFile;
begin
  FibeDataObjectDefinition.InitDefinition('objDOBase', '..\Config\DOD\objDOBase.dod');
  // TODO: Methodenergebnisse prfen
end;

initialization
  // Alle Testflle beim Test-Runner registrieren
  RegisterTest(TestTibeDataObjectDefinition.Suite);
end.

